MONGOC_COLLECTION_DROP_INDEX_WITH_OPTS(3)

NAME
mongoc_collection_drop_index_with_opts - mongoc_collection_drop_index_with_opts()

SYNOPSIS

        bool
        mongoc_collection_drop_index_with_opts (mongoc_collection_t *collection,
                                                const char *index_name,
                                                const bson_t *opts,
                                                bson_error_t *error);

PARAMETERS

    •   collection: A mongoc_collection_t.

    •   index_name: A string containing the name of the index.

    •   opts: A bson_t or NULL.

    •   error: An optional location for a bson_error_t or NULL.

DESCRIPTION

This function requests than an index on collection be dropped.

If no write concern is provided in opts, the collection's write concern is used.

ERRORS

Errors are propagated via the error parameter.

RETURNS

Returns true if successful. Returns false and sets error if there are invalid arguments or a server or network error.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc